Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 981514 - [Fed]X11 based installation is not possible with F19
Summary: [Fed]X11 based installation is not possible with F19
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 19
Hardware: s390x
OS: All
unspecified
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ZedoraTracker
TreeView+ depends on / blocked
 
Reported: 2013-07-05 03:02 UTC by IBM Bug Proxy
Modified: 2013-07-16 00:20 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-16 00:20:17 UTC
Type: ---


Attachments (Terms of Use)
anaconda log (2.96 KB, application/octet-stream)
2013-07-05 03:02 UTC, IBM Bug Proxy
no flags Details


Links
System ID Private Priority Status Summary Last Updated
IBM Linux Technology Center 95545 0 None None None Never

Description IBM Bug Proxy 2013-07-05 03:02:18 UTC
Problem Description
----------------------------------
The issue is observed while installing F19 on zvm machine . 

Steps to Reproduce
--------------------------------- 
1. Start the F19 installation on ZVM
2.  Provide all the  necessary parameters via params file 
3.  ssh to machine as install user as 
ssh -X install@x.x.x.x


Actual -   X11 based installation fails User is forced to choose either  text mode installation  or vnc mode of installation 

There is no -X option mentioned  even in the login message as against  earlier redhat  version which mentions about  X11 based installation 

anaconda[1293]: Starting installer, one moment...                               
anaconda[1293]: 10:52:47 Please ssh install@r3530053.boeblingen.de.ibm.com (x.x.x.x) to begin the install.                                                
                                                                                
Below logs give the details .

Starting installer, one moment...
anaconda 19.30.8-1 for Fedora 20130619 (pre-release) started.
10:32:46 DISPLAY variable not set. Starting text mode.
================================================================================
================================================================================
VNC

Text mode provides a limited set of installation options. It does not allow you 
to specify your own partitioning layout or package selections. Would you like to
 use VNC mode instead?

 1) Start VNC

 2) Use text mode

  Please make your choice from above ['q' to quit | 'c' to continue |
  'r' to refresh]: 2
================================================================================
================================================================================
VNC

X was unable to start on your machine.  Would you like to start VNC to connect t
o this computer from another computer and perform a graphical installation or co
ntinue with a text mode installation?

 1) Start VNC

 2) Use text mode

  Please make your choice from above ['q' to quit | 'c' to continue |
  'r' to refresh]: 1
================================================================================
================================================================================
VNC Password

Please provide VNC password. You will have to type it twice. 
Leave blank for no password

Password: 
Password (confirm): 
10:34:20 Starting VNC...
10:34:21 The VNC server is now running.
10:34:21 

You chose to execute vnc with a password. 


10:34:21 Please manually connect your vnc client to r3530053.boeblingen.de.ibm.com:1 (9.152.111.173) to begin the install.
LibThai: Fail to open dictionary at '/usr/share/libthai/thbrk.tri'.

Comment 1 IBM Bug Proxy 2013-07-05 03:02:33 UTC
Created attachment 769068 [details]
anaconda log

Comment 2 Dan Horák 2013-07-09 07:06:39 UTC
I think this is intentional, the F-18 release notes (http://fedoraproject.org/wiki/Architectures/s390x/18) have the following point:
- the option for installing with X forwarded over SSH was removed


Note You need to log in before you can comment on or make changes to this bug.